<?php
include 'header.php'; ?>
<script type="module" src="https://unpkg.com/@google/model-viewer/dist/model-viewer.min.js"></script>
  <div class="container-fluid">
  	<div class="col-xl-12">
      <div class="card shadow border-left-primary h-100 py-2">
        <div class="card-body">
          <div class="row no-gutters align-items-center">
            <div class="col mr-2">
              <div class="text-lg font-weight-bold text-primary text-uppercase mb-1">AR Content</div>
            </div>
            <div class="col-auto">
              <i class="fas fa-cube fa-2x text-gray-300"></i>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
        <div class="col-md-6 col-lg-8">
          	<div class="card o-hidden border-0 shadow-lg my-5">
		    <form method="post">
              <div class="card-body p-0">
                <!-- Nested Row within Card Body -->
                <div class="p-5">
                  <div id="modelUpload">
    				<div class="form">
                        <p id="imageText" class="center" style="font-size: 20px;">Drop GLB model here or Click to select</p>
                        <center><input type="file" name="file1" id="file1" onchange="loadFile(event)" class="inputfile" accept=".glb"></center>
                    </div>
                    <br>
                    <center><button type="button" class="btn btn-primary" onclick="uploadFile()">Upload GLB model</button><br>
                    <progress id="progressBar" value="0" max="100" style="margin-top:10px;height:40px;width:70%;"></progress><br>
                    <span class="help-block" id="status"></span>
                    <p id="loaded_n_total"></p>
                    </center>
    	       	  </div>
    	       	  <div id="modelUpload">
    				<div class="form">
                        <p id="imageText2" class="center" style="font-size: 20px;">Drop USDZ model here or Click to select</p>
                        <center><input type="file" name="file2" id="file2"  onchange="loadFile2(event)" class="inputfile" accept=".usdz"></center>
                    </div>
                    <br>
                    <center><button type="button" class="btn btn-primary" onclick="uploadFile2()">Upload USDZ Model</button><br>
                    <progress id="progressBar2" value="0" max="100" style="margin-top:10px;height:40px;width:70%;"></progress><br>
                    <span class="help-block2" id="status2"></span>
                    <p id="loaded_n_total2"></p>
                    </center>
    	       	  </div>
          		</div>
          		<button class="btn btn-primary" name="upload" type="submit" style="width: 100%;"> PROCEED DATA</button>
              </div>
            </form>
            </div>   
        </div>
        <div class="col-md-6 col-lg-4">
            <div class="card o-hidden border-0 shadow-lg my-5" style="height:480px;">
                <div class="card-body p-0">
                    <div class="p-5 full">
                        <div class="text-lg font-weight-bold text-primary text-uppercase mb-1">3d Viewer</div>
              	        <div id="displayModel" class="full">
              	        </div>
                    </div>
                </div>   
            </div>
        </div>
    </div>
</div>
</div>
<?php include 'footer.php'; ?>
<script>
    var loadFile = function(event) {
    var filename = document.getElementById('file1').value;
    var onlyname = filename.split(/(\\|\/)/g).pop();
    document.getElementById("imageText").innerHTML = onlyname; 
    document.getElementById("displayModel").innerHTML = '<model-viewer class="full" src="'+URL.createObjectURL(event.target.files[0])+'" camera-controls alt="A 3D model"></model-viewer>'; 
    };
    var loadFile2 = function(event) {
    var filename = document.getElementById('file2').value;
    var onlyname = filename.split(/(\\|\/)/g).pop();
    document.getElementById("imageText2").innerHTML = onlyname;
    };
</script>          
<script>
  function _(el){
	return document.getElementById(el);
}
function uploadFile(){
	var file = _("file1").files[0];
	// alert(file.name+" | "+file.size+" | "+file.type);
	var formdata = new FormData();
	formdata.append("file1", file);
	var ajax = new XMLHttpRequest();
	ajax.upload.addEventListener("progress", progressHandler, false);
	ajax.addEventListener("load", completeHandler, false);
	ajax.addEventListener("error", errorHandler, false);
	ajax.addEventListener("abort", abortHandler, false);
	ajax.open("POST", "scripts/glb_upload_parser.php");
	ajax.send(formdata);
}
function progressHandler(event){
	_("loaded_n_total").innerHTML = "Uploaded "+event.loaded+" bytes of "+event.total;
	var percent = (event.loaded / event.total) * 100;
	_("progressBar").value = Math.round(percent);
	_("status").innerHTML = Math.round(percent)+"% uploaded... please wait";
}
function completeHandler(event){
	_("status").innerHTML = event.target.responseText;
	_("progressBar").value = 100;
}
function errorHandler(event){
	_("status").innerHTML = "Upload Failed";
}
function abortHandler(event){
	_("status").innerHTML = "Upload Aborted";
}
function uploadFile2(){
    var file = _("file2").files[0];
    // alert(file.name+" | "+file.size+" | "+file.type);
    var formdata = new FormData();
    formdata.append("file2", file);
    var ajax = new XMLHttpRequest();
    ajax.upload.addEventListener("progress", progressHandler2, false);
    ajax.addEventListener("load", completeHandler2, false);
    ajax.addEventListener("error", errorHandler2, false);
    ajax.addEventListener("abort", abortHandler2, false);
    ajax.open("POST", "scripts/usdz_upload_parser.php");
    ajax.send(formdata);
}
function progressHandler2(event){
    _("loaded_n_total2").innerHTML = "Uploaded "+event.loaded+" bytes of "+event.total;
    var percent2 = (event.loaded / event.total) * 100;
    _("progressBar2").value = Math.round(percent2);
    _("status2").innerHTML = Math.round(percent2)+"% uploaded... please wait";
}
function completeHandler2(event){
    _("status2").innerHTML = event.target.responseText;
    _("progressBar2").value = 100;
}
function errorHandler2(event){
    _("status2").innerHTML = "Upload Failed";
}
function abortHandler2(event){
    _("status2").innerHTML = "Upload Aborted";
}
</script>
<?php
if(isset($_REQUEST['upload'])){
$glb=$_REQUEST['file1'];
$usdz=$_REQUEST['file2'];
$title = str_replace(".glb", "", $glb);
include 'scripts/db/connection.php';
$sql = "INSERT INTO objects(userId,qrcode,title,itemLocation,usdz) VALUES ('$uid','','$title','$glb','$usdz')";
                if (mysqli_multi_query($conn, $sql)) {
$latest_id =  mysqli_insert_id($conn);    
        $url = "https://" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
        $furl = str_replace("ar_add.php", "", $url);
    $link = $furl."viewAR.php?id=".$latest_id;
    include('phpqrcode/qrlib.php');
include('phpqrcode/qrconfig.php');

    // how to save PNG codes to server
    
    $tempDir = __DIR__.'/qrcodes/';
    echo $tempDir;
    $codeContents = $link;
    
    // we need to generate filename somehow, 
    // with md5 or with database ID used to obtains $codeContents...
    $fileName = '005_file_'.md5($codeContents).'.png';
    
    $pngAbsoluteFilePath = $tempDir.$fileName;
    $urlRelativeFilePath = EXAMPLE_TMP_URLRELPATH.$fileName;
    // generating
    if (!file_exists($pngAbsoluteFilePath)) {
        QRcode::png($codeContents, $pngAbsoluteFilePath);
        echo 'File generated!';
        echo '<hr />';
        $sqli = "UPDATE objects SET qrcode='$fileName' where id='$latest_id'";
        if (mysqli_multi_query($conn, $sqli)) {
            echo "<script>
            window.location.href = 'ar_manager.php';
        </script>";
        } else {
            echo "Error: " . $sql . "<br>" . mysqli_error($conn);
        }
    } else {
        echo 'File already generated! We can use this cached file to speed up site on common codes!';
        echo '<hr />';
    }              
}
}
?>