<?php include 'header.php'; ?>
  <div class="container-fluid">
    <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" method="post">
      	<div class="col-xl-12">
          <div class="card border-left-primary shadow h-100 py-2">
            <div class="card-body">
              <div class="row no-gutters align-items-center">
                <div class="col mr-2">
                  <div class="text-lg font-weight-bold text-primary text-uppercase mb-1">Upload Multiple GLB</div>
                </div>
                <div class="col-auto">
                  <i class="fas fa-image fa-2x text-gray-300"></i>
                </div>
              </div>
            </div>
          </div>
        </div>
      	<div class="card o-hidden border-0 shadow-lg my-5">
          <div class="card-body p-0">
            <!-- Nested Row within Card Body -->
            <div class="row">
              <div class="col-lg-12">
                <div class="p-5">
          				<div class="form">
                      <center>
                        <input type="file" name="file1" id="file1" onchange="loadFile(event)" class="inputfile" accept=".glb" multiple>
                        <p id="imageText" style="padding-top:56px;font-size: 20px;">Drop files here or Click to select</p>
                      </center>
                  </div>
                  <br>
                  <center>
                    <button type="button" class="btn btn-primary" onclick="uploadFile()">Upload</button>
                    <br>
                    <progress id="progressBar" value="0" max="100" style="margin-top:10px;height:40px;width:70%;"></progress>
                    <p id="loaded_n_total"></p>
                    <span class="help-block" id="status"></span>
                  </center>
          			</div>
          		</div>
          	</div>
          </div>
        </div>
    </div>
</div>
<?php include 'footer.php'; ?>
<script>
  var loadFile = function(event) {
    var input = document.getElementById('file1');
    var output = document.getElementById('imageText');
    output.innerHTML = input.files.length + " files selected.";
  };
</script>          
<script>
  function _(el){
  	return document.getElementById(el);
  }
  function uploadFile(){
      var filedata = document.getElementById('file1');
            formdata = false;
    if (window.FormData) {
        formdata = new FormData();
    }
    //alert(filedata.files.length);
    var i = 0, len = filedata.files.length, img, reader, file;

    for (; i < len; i++) {
        file = filedata.files[i];
      	//var file = _("file1").files[0];
      	// alert(file.name+" | "+file.size+" | "+file.type);
      	var formdata = new FormData();
      	formdata.append("file1", file);
      	var ajax = new XMLHttpRequest();
      	ajax.upload.addEventListener("progress", progressHandler, false);
      	ajax.addEventListener("load", completeHandler, false);
      	ajax.addEventListener("error", errorHandler, false);
      	ajax.addEventListener("abort", abortHandler, false);
      	ajax.open("POST", "scripts/bulk_upload_parser.php");
      	ajax.send(formdata);
    }
  }
  function progressHandler(event){
  	_("loaded_n_total").innerHTML = "Uploaded "+event.loaded+" bytes of "+event.total;
  	var percent = (event.loaded / event.total) * 100;
  	_("progressBar").value = Math.round(percent);
  	_("status").innerHTML = Math.round(percent)+"% uploaded... please wait";
  }
  function completeHandler(event){
    //  window.location.href = 'AR/?'+event.target.responseText;
  	_("status").innerHTML = "uploaded successfully";
  	_("progressBar").value = 100;
  }
  function errorHandler(event){
  	_("status").innerHTML = "Upload Failed";
  }
  function abortHandler(event){
  	_("status").innerHTML = "Upload Aborted";
  }
</script>