<?php
include 'header.php'; 
?>
<script type="module" src="https://unpkg.com/@google/model-viewer/dist/model-viewer.min.js"></script>
<div class="container-fluid">
        	<div class="row">
        		<div class="col-md-12">
        			<div class="card border-left-primary shadow h-100 py-2">
		                <div class="card-body">
		                  <div class="row no-gutters align-items-center">
		                    <div class="col mr-2">
		                      <div class="text-lg font-weight-bold text-primary text-uppercase mb-1">AR Manager</div>
		                    </div>
		                    <div class="col-auto">
		                      <a href="ar_add.php" class="btn btn-primary"><i class="fa fa-plus"></i> Add AR</a>
		                    </div>
		                  </div>
		                </div>
		            </div>
        		</div>
        		<div class="col-md-12">
        			<!-- DataTales Example -->
          <div class="card shadow mb-4 shadow-lg my-5">
            <div class="card-body">
              <div class="table-responsive">
                <table class="table table-bordered" id="example" width="100%" cellspacing="0">
                  <thead>
                    <tr>
                                <th>QR code</th>
                                <th>Embed Code</th>
								<th>Content</th>
								<th>Optional USDZ file</th>
								<th>Title</th>
								<th>Views</th>
								<th>Action</th>
							</tr>
						</thead>
						<tbody>
							
						</tbody>
					</table>
                  </div>
                </div>
              </div>
             </div>
             </div>
             </div>
             <script>
                                    $(document).on("click", ".delete", function () {
                                      var id= $(this).data('id');
                                      $(".modal-body #id").val( id );
                                      var arurl= $(this).data('arurl');
                                      $(".modal-body #arurl").val( arurl );
                                      var usdz= $(this).data('usdz');
                                      $(".modal-body #usdz").val( usdz );
                                      var qrcode= $(this).data('qrcode');
                                      $(".modal-body #qrcode").val( qrcode );
                                    });
                                    </script>
                                    <script>
$(document).on("click", ".qr", function () {
	var qrlocation = $(this).data('qrlocation');
	$(".modal-body #qrlocation").attr("src", qrlocation);
});
</script>
<script>
$(document).on("click", ".edit", function () {
    var id= $(this).data('id');
    $(".modal-body #id").val( id );
    var targetname= $(this).data('targetname');
    $(".modal-body #targetname").val( targetname );
});
</script>
             <div class="modal fade" id="qrModal" role="dialog">
		<div class="modal-dialog modal-md">
			<div class="modal-content">
				<div class="modal-header">					
					<button type="button" class="close" data-dismiss="modal">&times;</button>
				</div>
				<div class="modal-body">
					<center><img id="qrlocation" src="" style="width:300px;"></center>
				</div>	                
			</div>
		</div>
	</div>
              <!-- Delete -->
  <div class="modal fade" id="DeleteModal" role="dialog">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        <form method="post">
          <div class="modal-body">
            <input type="text" name="id" id="id" style="display:none;" value=""/>  
            <input type="text" name="arurl" style="display:none;" id="arurl" value=""/>  
            <input type="text" name="usdz" style="display:none;" id="usdz" value=""/>  
            <input type="text" name="qrcode" style="display:none;" id="qrcode" value=""/>  
            <p>Do you really want to delete this object?</p>
          </div>
          <div class="modal-footer">          
              <button type="submit" name="delete" class="btn btn-primary">Delete</button>
              <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>          
          </div>
        </form>
      </div>
    </div>
  </div>
  <!-- /Delete -->  
  <div class="modal fade" id="EditNameModal" role="dialog">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" method="post">
          <div class="modal-body">
            <input type="text" style="display:none;" name="id" id="id" >  
            <input type="text" name="targetName" id="targetname" class="form-control">  
          </div>
          <div class="modal-footer">          
              <button type="submit" name="editName" class="btn btn-primary">Edit</button>
              <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>          
          </div>
        </form>
      </div>
    </div>
  </div>
    </div>
    <?php include 'footer.php'; ?>
  </body>
</html>
<script>
$(document).ready(function() {
    $('#example').DataTable( {
        "processing": true,
        "serverSide": true,
        "ajax": "scripts/server_processing.php"
    } );
} );
</script>
<?php
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    if(isset($_POST['editName']))
    {
        $id=$_REQUEST['id'];
        $targetName=$_REQUEST['targetName'];
        include 'scripts/db/connection.php';
        $sql="UPDATE objects SET title='$targetName' where id='$id'";
        if (mysqli_multi_query($conn, $sql)) {
            echo "<script>
                window.location.href = 'ar_manager.php';
            </script>";
        }else{
            echo $conn->error;
        }
    }
}
if(isset($_REQUEST['delete'])){
$id=$_REQUEST['id'];
$arurl=$_REQUEST['arurl'];
$usdz=$_REQUEST['usdz'];
$qrcode=$_REQUEST['qrcode'];
include 'scripts/db/connection.php';
$query="delete from objects where id='$id'";
if (mysqli_query($conn, $query)) {
        unlink("Models/".$arurl);
        if($usdz != ""){
            unlink("iosModels/".$usdz);
        }
        unlink("qrcodes/".$qrcode);
echo "<script>
    window.location.href = 'ar_manager.php';
</script>";
                }
}
?>