<?php include "header.php"; ?>
<?php
include 'scripts/db/connection.php';
if($uid == 1){
    $getViews = mysqli_query($conn,'SELECT SUM(views) AS totalViews FROM objects'); 
}else{
    $getViews = mysqli_query($conn,"SELECT SUM(views) AS totalViews FROM objects WHERE userId='$uid'"); 
}
$row = mysqli_fetch_assoc($getViews); 
$views = $row['totalViews'];
if($uid == 1){
    $countImages = mysqli_query($conn, "select count(1) FROM objects");
}else{
    $countImages = mysqli_query($conn, "select count(1) FROM objects WHERE userId='$uid'");
}
$row = mysqli_fetch_array($countImages);
$images = $row[0];
?>
<script type="module" src="https://unpkg.com/@google/model-viewer/dist/model-viewer.min.js"></script>
    <div class="container-fluid">
      <!-- Page Heading -->
      <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800">Dashboard</h1>
      </div>
    <div class="row">
      <div class="col-lg-4">
          <div class="mb-4">
        <div class="card border-left-primary shadow h-100 py-2">
          <div class="card-body">
            <div class="row no-gutters align-items-center">
              <div class="col mr-2">
                <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">Total Views</div>
                <div class="h5 mb-0 font-weight-bold text-gray-800"><?php echo $views; ?></div>
              </div>
              <div class="col-auto">
                <i class="fas fa-eye fa-2x text-gray-300"></i>
              </div>
            </div>
          </div>
        </div>
      </div>

      <!-- Pending Requests Card Example -->
      <div class="mb-4">
        <div class="card border-left-success shadow h-100 py-2">
          <div class="card-body">
            <div class="row no-gutters align-items-center">
              <div class="col mr-2">
                <div class="text-xs font-weight-bold text-success text-uppercase mb-1">Active AR</div>
                <div class="h5 mb-0 font-weight-bold text-gray-800"><?php echo $images; ?></div>
              </div>
              <div class="col-auto">
                <i class="fas fa-cube fa-2x text-gray-300"></i>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- Pending Requests Card Example -->
      <div class="mb-4">
        <div class="card border-left-danger shadow h-100 py-2">
          <div class="card-body">
            <div class="row no-gutters align-items-center">
                      <ul>
                          <li><a href="https://developers.google.com/ar/discover/supported-devices" target="_blank">List of ARCore Supported Devices</a></li>
                          <li><a href="https://developers.google.com/ar/develop/java/scene-viewer" target="_blank">Model Requirements</a></li>
                      </ul>
            </div>
          </div>
        </div>
      </div>
      </div>
      <div class="col-lg-8">
        <div class="card shadow mb-4">
          <!-- Card Header - Dropdown -->
          <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-primary">Recently Uploaded AR</h6>
          </div>
          <!-- Card Body -->
          <div class="card-body">
            <div class="table-responsive">
              <table class="table" id="dataTable" width="100%" cellspacing="0">                                  
                <tbody>
                  <tr>
                    <th>Sr No.</th>
                    <th>QR Code</th>
                    <th>3d Model</th>
                    <th>Views</th>
                  </tr> 
                    <?php
                        if($uid == 1){
                            $result = mysqli_query($conn,"SELECT * FROM objects ORDER BY datetime DESC LIMIT 5"); 
                        }else{
                            $result = mysqli_query($conn,"SELECT * FROM objects WHERE userId='$uid' ORDER BY datetime DESC LIMIT 5"); 
                        }
                        $i=1;
                        while($row = mysqli_fetch_array($result)){
                    ?>
                  <tr>
                    <td><?php echo $i++; ?></td>
                    <td><img src="qrcodes/<?php echo $row['qrcode'];?>"></td>
                    <td><model-viewer src='Models/<?php echo $row['itemLocation']; ?>' camera-controls alt='A 3D model'></model-viewer></td>
                    <td><?php echo $row['views']; ?></td>
                  </tr> 
                    <?php
                        }
                    ?>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
      </div>
    </div>
    </div>
<?php include 'footer.php'?>