<?php include 'includes-top.php'; ?>
<body class="bg-gradient-primary">
  <div class="container">
    <!-- Outer Row -->
    <div class="row justify-content-center">
      <div class="col-md-5">
        <div class="card o-hidden border-0 shadow-lg my-10">
          <div class="card-body p-0">
            <!-- Nested Row within Card Body -->
            <div class="row">
              <div class="col-lg-12">
                <div class="p-5">
                  <div class="text-center mb-4">
                    <h1 class="h4 text-gray-900">Forgot Password?</h1>
                    <p class="p-t-1 desc" style="font-size:14px;margin-bottom:0;">Enter your email to reset password..</p>
                    <p class="p-t-1 desc" style="font-size:14px;padding-top:0;">Remember Password? <a href="index.php">Sign In</a></p>
                    </div>
                    <div class="contact-container">
    
                        <!-- Contact Form -->
                        <form method="POST" style="padding-top:40px;">
    
                                <div class="form-group">
                                    <label>Email*</label>
                                    <input class="form-control" type="email" name="email" required>
                                </div>
                                <!-- Submit Button -->
                                <div class="col s12 text-right">
    
                                    <button class="btn btn-primary" name="forgot" type="submit">Submit</button>
    
                                </div>
    
                                <!-- ! Anti-spam field ! Invisible for users, it will trick most bots to fill it and prevent the email from being sent to you -->
                                <div class="input-field col s12 hidden">
    
                                    <input type="hidden" id="contact-check-spam" placeholder="Leave field empty" name="check-spam">
    
                                </div>
                        </form>
                    </div>
            </div>
            </div>
        </div>
        </div>
        </div>
      </div>
    </div>
  </div>
</body>
<?php
include 'scripts/db/connection.php';

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    if(isset($_POST['forgot']))
    {
        $url = "https://" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
        $furl = str_replace("forgot-password.php", "", $url);
        $email = test_input($_POST["email"]);
        $sql = "SELECT id FROM admin WHERE email = '$email'";
        $result = $conn->query($sql);
        $count = mysqli_num_rows($result);
        if($count){
            while($row = $result->fetch_assoc()) {
        		$userid = $row["id"];
        		$to = $email;
                $subject = "Forgot Password";
                
                $message = "
                <!doctype html>
                <html>
                <head>
                <title>Forgot Password</title>
                </head>
                <body>
                <p style='padding-bottom:20px;'>Hi,</p>
                <p style='padding-bottom:20px;'>We got to know that you forgot your password for AR Markers. If that is the case click the link below to reset your password</p>
                <a style='padding-bottom:20px;' href='".$furl."reset-password.php?id=".$userid."' target='_blank'>Reset Password</a>
                <p>Thanks</p>
                <p style='padding-bottom:20px;>Else if you didn't forget your password, you may safely ignore it.</p>
                </body>
                </html>
                ";
                
                // Always set content-type when sending HTML email
                $headers = "MIME-Version: 1.0" . "\r\n";
                $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
                
                // More headers
                $headers .= 'From: zeanex.com <contact@zeanex.com>' . "\r\n";
                
                
                if(mail($to,$subject,$message,$headers)){
                   echo '<div class="card" style="position:absolute; top:20px; right:20px; width:320px; padding:20px;">
                    <div class="card-body">
                      <div class="no-gutters align-items-center">
                          <div><p class="text-info">Check email to reset your password.</p></div>
                      </div>
                    </div>
                  </div>';
                }   
            }
        }else{
            echo '<div class="card" style="position:absolute; top:20px; right:20px; width:320px; padding:20px;">
            <div class="card-body">
              <div class="no-gutters align-items-center">
                  <div><p class="text-info">Email is not registered with us.</p></div>
              </div>
            </div>
          </div>';
        }
        $conn->close();
    }
}

function test_input($data) {
  $data = trim($data);
  $data = stripslashes($data);
  $data = htmlspecialchars($data);
  return $data;
}
function redirect($url)
{
    if (!headers_sent())
    {    
        header('Location: '.$url);
        exit;
        }
    else
        {  
        echo '<script type="text/javascript">';
        echo 'window.location.href="'.$url.'";';
        echo '</script>';
        echo '<noscript>';
        echo '<meta http-equiv="refresh" content="0;url='.$url.'" />';
        echo '</noscript>'; exit;
    }
}
?>
