<?php
session_start();
?>
<?php include 'includes-top.php';?>
<body>
  <div class="container">
    <!-- Outer Row -->
    <div class="row justify-content-center">
      <div class="col-md-5">
        <div class="card o-hidden border-0 shadow-lg my-10">
          <div class="card-body p-0">
            <!-- Nested Row within Card Body -->
            <div class="row">
              <div class="col-lg-12">
                <div class="p-5">
                  <div class="text-center mb-4">
                    <h1 class="h4 text-gray-900">Sign In</h1>
                    <p>Do not have an account? <a href="signup.php">Sign Up</a></p>
                  </div>
                  <form class="user" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" method="post">
                    <div class="form-group">
                      <label>Email*</label>
                      <input type="text" class="form-control" id="exampleInputUsername" name="email">
                    </div>
                    <div class="form-group">
                      <label>Password*</label>
                      <input type="password" class="form-control" id="exampleInputPassword" name="password">

                    </div>
                    <div class="col s12 text-right">
                      <button type="submit" name="login" class="btn btn-primary">Login</button>
                    </div>  
                  </form>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- Bootstrap core JavaScript-->
  <script src="vendor/jquery/jquery.min.js"></script>
  <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
  <!-- Core plugin JavaScript-->
  <script src="vendor/jquery-easing/jquery.easing.min.js"></script>
  <!-- Custom scripts for all pages-->
  <script src="js/sb-admin-2.min.js"></script>
</body>
</html>
<?php
include 'scripts/db/connection.php';
// define variables and set to empty values
$email = $password = "";

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    if(isset($_POST['login']))
    {
        $url = "https://" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
        $furl = str_replace("index.php", "", $url);
        $email = test_input($_POST["email"]);
        $password = test_input($_POST["password"]);
        $sql = "select * from admin where email='$email' AND password='$password'";
        $result = $conn->query($sql);
        $row = mysqli_fetch_array($result,MYSQLI_ASSOC);
        $count = mysqli_num_rows($result);
        if($count){
            if($row['status'] == "approved"){
                $_SESSION["id"] = $row['id'];
                $_SESSION["username"] = $row['username'];
                redirect('dashboard.php');      
            }else{
                $userid = $row['id'];   
    		    $to = $email;
                $subject = "Verify Your Account";
                $message = "
                <!doctype html>
                <html>
                <body>
                <p style='padding-bottom:20px;'>WELCOME!</p>
                <p style='padding-bottom:20px;'>To get started, verify your email address by clicking the link below.</p>
                <a style='padding-bottom:20px;' href='".$furl."verify_email.php?id=".$userid."&verify=' target='_blank'>Verify Your Account</a>
                <p>Thanks</p>
                </body>
                </html>
                ";
                
                // Always set content-type when sending HTML email
                $headers = "MIME-Version: 1.0" . "\r\n";
                $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
                
                // More headers
                $headers .= 'From: zeanex.com <contact@zeanex.com>' . "\r\n";
                    
                    
                if(mail($to,$subject,$message,$headers)){
                    echo '<div class="card" style="position:absolute; top:20px; right:20px; width:320px; padding:20px;">
                    <div class="card-body">
                      <div class="no-gutters align-items-center">
                          <div><p class="text-info">Check email to verify your account.</p></div>
                      </div>
                    </div>
                  </div>';
                }
            }
        }else{
        echo '<div class="card" style="position:absolute; top:20px; right:20px; width:320px; padding:20px;">
            <div class="card-body">
              <div class="no-gutters align-items-center">
                  <div><p class="text-danger">Email or Password is incorrect.</p></div>
              </div>
            </div>
          </div>';
        }
    }
}

function test_input($data) {
  $data = trim($data);
  $data = stripslashes($data);
  $data = htmlspecialchars($data);
  return $data;
}
function redirect($url)
{
    if (!headers_sent())
    {    
        header('Location: '.$url);
        exit;
        }
    else
        {  
        echo '<script type="text/javascript">';
        echo 'window.location.href="'.$url.'";';
        echo '</script>';
        echo '<noscript>';
        echo '<meta http-equiv="refresh" content="0;url='.$url.'" />';
        echo '</noscript>'; exit;
    }
}
?>
