<?php include 'includes-top.php'; ?>
<body class="bg-gradient-primary">
  <div class="container">
    <!-- Outer Row -->
    <div class="row justify-content-center">
      <div class="col-md-5">
        <div class="card o-hidden border-0 shadow-lg my-10">
          <div class="card-body p-0">
            <!-- Nested Row within Card Body -->
            <div class="row">
              <div class="col-lg-12">
                <div class="p-5">
                  <div class="text-center mb-4">
                <h4 class="reflection-text p-b-2">Reset Password</h4>
                <p class="p-t-1 desc" style="font-size:14px;margin-bottom:0;">Enter new password for your account below.</p>
                <p class="p-t-1 desc" style="font-size:14px;padding-top:0;">Remember Password? <a href="index.php">Sign In</a></p>
                <div class="contact-container">

                    <!-- Contact Form -->
                    <form id="contact-form" name="contact-form" method="POST" data-name="Contact Form" style="padding-top:40px;">

                            
                            <div class="form-group">
                                <label for="contact-name">New Password*</label>
                                <input class="form-control" type="password" class="validate" name="password" required>
                            </div>
                            
                            <div class="form-group">
                                <label for="contact-name">Confirm Password*</label>
                                <input class="form-control" type="password" class="validate" name="confirmpassword" required>
                            </div>

                            <!-- Form Alert Message -->
                            <div class="col s12 alert-message" id="contact-alert-message"></div>

                            <!-- Submit Button -->
                            <div class="col s12 text-right">

                                <button class="btn btn-primary" name="reset" type="submit">Reset</button>

                            </div>

                            <!-- ! Anti-spam field ! Invisible for users, it will trick most bots to fill it and prevent the email from being sent to you -->
                            <div class="input-field col s12 hidden">

                                <input type="hidden" id="contact-check-spam" placeholder="Leave field empty" name="check-spam">

                            </div>


                    </form>

                </div>
        </div>
            </div>

        </div>
        </div>
        </div>
      </div>
    </div>
  </div>
  </div>
</body>
<?php
include 'scripts/db/connection.php';
// define variables and set to empty values
$p1 = $p2 = "";

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    if(isset($_POST['reset']))
    {
        $id = test_input($_GET['id']);
        $p1 = test_input($_POST["password"]);
        $p2 = test_input($_POST["confirmpassword"]);
        if($p1 == $p2){
            $sql = "UPDATE admin SET password='$p1' where id='$id'";
            if (mysqli_multi_query($conn, $sql)) {
                echo '<div class="card" style="position:absolute; top:20px; right:20px; width:320px; padding:20px;">
                    <div class="card-body">
                      <div class="no-gutters align-items-center">
                          <div><p class="text-success">Password changed successfully. Please <a href="index.php">Sign In.</a></p></div>
                      </div>
                    </div>
                  </div>';
            }else{
                echo '<div class="card" style="position:absolute; top:20px; right:20px; width:320px; padding:20px;">
                    <div class="card-body">
                      <div class="no-gutters align-items-center">
                          <div><p class="text-danger">Failed to rest password. Please try again later.</p></div>
                      </div>
                    </div>
                  </div>';
            }   
        }else{
            echo '<div class="card" style="position:absolute; top:20px; right:20px; width:320px; padding:20px;">
                <div class="card-body">
                  <div class="no-gutters align-items-center">
                      <div><p class="text-danger">Password and Confirm Password do not match.</p></div>
                  </div>
                </div>
              </div>';
        }
    }
}

function test_input($data) {
  $data = trim($data);
  $data = stripslashes($data);
  $data = htmlspecialchars($data);
  return $data;
}
function redirect($url)
{
    if (!headers_sent())
    {    
        header('Location: '.$url);
        exit;
        }
    else
        {  
        echo '<script type="text/javascript">';
        echo 'window.location.href="'.$url.'";';
        echo '</script>';
        echo '<noscript>';
        echo '<meta http-equiv="refresh" content="0;url='.$url.'" />';
        echo '</noscript>'; exit;
    }
}
?>