<html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="icon" href="template/img/favicon.ico" type="image/ico" sizes="16x16">
        <title>WebAR Standard</title>
        <meta property="og:image" content="template/img/favicon.ico">
        <script type="module" src="https://unpkg.com/@google/model-viewer/dist/model-viewer.min.js"></script>
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <script src="template/bootstrap/js/bootstrap.bundle.min.js"></script>
        <style>
            .modal-backdrop
            {
                opacity:0.5 !important;
            }
            .center {
                margin: 0;
                position: absolute;
                top: 50%;
                left: 50%;
                -ms-transform: translate(-50%, -50%);
                transform: translate(-50%, -50%);
            }
        </style>
    </head>
    <body>
        <img src="template/img/logo.png" style="position: absolute; top: 16px; left: 16px;width:100px;">
        <?php
        $id = $_GET['id'];
        include 'scripts/db/connection.php';
        $sql = "UPDATE objects SET views = views + 1 WHERE id = '".$id."'";
        mysqli_query($conn, $sql);
        $url = "https://" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
        $to = "viewAR.php?id=".$id;
        $furl = str_replace($to, "", $url);
        $result = mysqli_query($conn,"SELECT * FROM objects WHERE id='$id'");
        while($row = mysqli_fetch_array($result)){
        ?>
        <div id="displayOnMobile">
            <?php
                if($row['usdz'] == ""){
            ?>
                <model-viewer src="Models/<?php echo $row['itemLocation']; ?>"  style="width:100%;height:100%" ar autoplay ar-modes="webxr scene-viewer quick-look" camera-controls alt="A 3D model"></model-viewer>
            <?php
                }else{
            ?>
                <model-viewer src="Models/<?php echo $row['itemLocation']; ?>" ios-src="iosModels/<?php echo $row['usdz']; ?>" style="width:100%;height:100%" ar autoplay ar-modes="webxr scene-viewer quick-look" camera-controls alt="A 3D model"></model-viewer>
            <?php
                }
            ?>
        </div>
        <div id="displayOnComp">
        <a href='#' data-toggle='modal' data-target='#qrModal'><img src="qrcodes/<?php echo $row['qrcode'];?>" style="position: absolute; bottom: 16px; right: 16px;width:100px;"></a>
        </div>
        <div class="modal" id="qrModal" role="dialog">
            <div class="center modal-sm">
              <div class="modal-content">
                  <div class="modal-body">
                    <center>
                        <p class="qrtext">Scan <b>QR code</b> with mobile camera for augmented reality.</p>
                        <img src="qrcodes/<?php echo $row['qrcode'];?>" width="200px">
                        <p class="qrtext">To see it in AR you need Android or iOS <a href="https://developers.google.com/ar/devices" target="_blank">supported device</a>.</p>
                    </center>
                  </div>
                  <div class="modal-footer">
                  <button type="button" class="btn btn-lg btn-block" data-dismiss="modal">Close</button>
                </div>
              </div>
            </div>
          </div>
        <?php
        }
        ?>
        <script>
            var ua = navigator.userAgent.toLowerCase();
            var isAndroid = ua.indexOf("android") > -1;
            var isIos = ua.indexOf("iphone") > -1 || ua.indexOf("ipad") > -1 || ua.indexOf("ipod") > -1;
            if(isAndroid) {
            	document.getElementById("displayOnMobile").style.display = "block";
            	document.getElementById("displayOnComp").style.display = "none";
            }else if(isIos){
            	document.getElementById("displayOnMobile").style.display = "block";
            	document.getElementById("displayOnComp").style.display = "none";
            }else{
            	document.getElementById("displayOnMobile").style.display = "block";
            	document.getElementById("displayOnComp").style.display = "block";
            }
        </script>
    </body>
</html>